If you go to update your app in the app store and you see this error message:

This bundle is invalid. The key CFBundleVersion in the Info.plist file must contain a higher version than that of the previously uploaded version.

Do this. Go to your plist file.

And changed the ‘Bundle versions string, short’ and ‘Bundle version’ from 1.0 to whatever you told in iTune Connect (1.1 for me).

Then when you go back and redo your archive distribution it should now successfully validate.

Links that help

https://agilewarrior.wordpress.com/2012/04/02/how-to-distribute-ad-hoc-build-with-xcode-4/
http://stackoverflow.com/questions/4933093/cfbundleversion-in-the-info-plist-upload-error